Subject: [PATCH 0/2] Ensure Guix always has 'glibc-utf8-locales'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 14 Feb 2019 23:17:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

After hearing about so many bad first impressions due to missing locales,
I decided to bite the bullet.  I still don’t consider the approach
really satisfying, in particular due to the arbitrary locale selection
in ‘glibc-utf8-locales’, but the benefits are worth it IMO (I feel like
I’ve been too obtuse on this topic, and I’m sorry about that!).

The closure size of the ‘guix’ package increases like this:

--8<---------------cut here---------------start------------->8---
$ guix size guix | tail -1
total: 354.2 MiB
$ guix size guix glibc-utf8-locales | tail -1
total: 368.0 MiB
--8<---------------cut here---------------end--------------->8---

That’s a 4% increase, not that bad.

Something that would be worth looking into is how much space it would take
to have all the supported UTF-8 locales in that package.

Thoughts?

Ludo’.

Ludovic Courtès (2):
  self: Bundle 'glibc-utf8-locales'.
  gnu: guix: Embed 'glibc-utf8-locales'.

 gnu/packages/package-management.scm | 12 +++++++++---
 guix/self.scm                       | 14 ++++++++++++++
 2 files changed, 23 insertions(+), 3 deletions(-)

-- 
2.20.1